io.vertx.ext.web.sstore.infinispan

## Interface InfinispanSessionStore

- All Superinterfaces:
    SessionStore

      public interface InfinispanSessionStore
      extends SessionStore

  An implementation of `SessionStore` that relies on the Infinispan Java Client.

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.ext.web.sstore.SessionStore

      `DEFAULT_SESSIONID_LENGTH`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InfinispanSessionStore` | `create(Vertx vertx, JsonObject options)` Create a new `InfinispanSessionStore` for the given configuration.
    `static InfinispanSessionStore` | `create(Vertx vertx, JsonObject options, org.infinispan.client.hotrod.RemoteCacheManager remoteCacheManager)` Like `create(Vertx, JsonObject)` but with a pre-configured Infinispan Client.

    - ### Methods inherited from interface io.vertx.ext.web.sstore.SessionStore

      `clear, clear, close, create, createSession, createSession, delete, delete, get, get, init, put, put, retryTimeout, size, size`

- - ### Method Detail

    - #### create

          static InfinispanSessionStore create(Vertx vertx,
                                               JsonObject options)

      Create a new `InfinispanSessionStore` for the given configuration.
      Specified by:
        `create` in interface `SessionStore`
      Parameters:
        `vertx` - vertx instance
        `options` - the configuration
      Returns:
        the new instance

    - #### create

          static InfinispanSessionStore create(Vertx vertx,
                                               JsonObject options,
                                               org.infinispan.client.hotrod.RemoteCacheManager remoteCacheManager)

      Like `create(Vertx, JsonObject)` but with a pre-configured Infinispan Client.
      Parameters:
        `vertx` - vertx instance
        `options` - the configuration
        `remoteCacheManager` - pre-configured Infinispan Client
      Returns:
        the new instance

Copyright © 2025 Eclipse. All rights reserved.